CGAL 6.2 - Classification: CGAL::Classification::Feature::Verticality< GeomTraits > Class Template Reference

CGAL 6.2 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Verticality< GeomTraits > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Verticality.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename GeomTraits>
class CGAL::Classification::Feature::Verticality< GeomTraits >

Feature based on local verticality.

The orientation of the local tangent plane of the considered point can be useful to discriminate facades from the ground. This feature can use normal vectors if available or eigen analysis that estimates tangent planes from local neighborhoods.

Its default name is "verticality".

Template Parameters

  GeomTraits | model of CGAL Kernel.

## Public Member Functions
template<typename InputRange >
| Verticality (const InputRange &input, const Local_eigen_analysis &eigen)
| constructs the feature using local eigen analysis.
template<typename PointRange , typename VectorMap >
| Verticality (const PointRange &input, VectorMap normal_map)
| constructs the feature using provided normals of points.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Verticality() [1/2]

template<typename GeomTraits >
template<typename InputRange >

CGAL::Classification::Feature::Verticality< GeomTraits >::Verticality | ( | const InputRange & | input,
|  | const Local_eigen_analysis & | eigen
| ) |  |

constructs the feature using local eigen analysis.

Template Parameters

  InputRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator`.

Parameters

  input | input range.
  eigen | class with precomputed eigenvectors and eigenvalues.

## ◆ Verticality() [2/2]

template<typename GeomTraits >
template<typename PointRange , typename VectorMap >

CGAL::Classification::Feature::Verticality< GeomTraits >::Verticality | ( | const PointRange & | input,
|  | VectorMap | normal_map
| ) |  |

constructs the feature using provided normals of points.

Template Parameters

  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `VectorMap`.
  VectorMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `GeomTraits::Vector_3`.

Parameters

  input | point range.
  normal_map | property map to access the normal vectors of the input points.